import 'package:example_app/example_ads.dart';
import 'package:facebook_audience_network/ad/ad_native.dart';
import 'package:flutter/material.dart';
import 'package:th_studio_common_module/facebook/banner_facebook.dart';

class FacebookBannerShowCasePage extends StatefulWidget {
  static PageRoute buildPageRoute() {
    return PageRouteBuilder(
      pageBuilder: (context, animation, secondaryAnimation) =>
          FacebookBannerShowCasePage(),
      transitionsBuilder: (context, animation, secondaryAnimation, child) {
        var begin = Offset(0.0, 1.0);
        var end = Offset.zero;
        var curve = Curves.ease;

        var tween =
            Tween(begin: begin, end: end).chain(CurveTween(curve: curve));

        return SlideTransition(
          position: animation.drive(tween),
          child: child,
        );
      },
    );
  }

  @override
  _FacebookBannerShowCasePageState createState() =>
      _FacebookBannerShowCasePageState();
}

class _FacebookBannerShowCasePageState
    extends State<FacebookBannerShowCasePage> {
  final BannerFacebook banner = BannerFacebook();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Banner Show Case'),
      ),
      body: ListView(
        children: [
          banner.createBannerWidget(FB_BANNER,
              bannerSize: NativeBannerAdSize.HEIGHT_50),
          Divider(
            height: 8,
          ),
          banner.createBannerWidget(FB_BANNER,
              bannerSize: NativeBannerAdSize.HEIGHT_100),
          Divider(
            height: 8,
          ),
          banner.createBannerWidget(FB_BANNER,
              bannerSize: NativeBannerAdSize.HEIGHT_120),
        ],
      ),
    );
  }
}
