import 'package:example_app/example_ads.dart';
import 'package:example_app/facebook/facebook_banner_ads.dart';
import 'package:example_app/second_page.dart';
import 'package:flutter/material.dart';
import 'package:th_studio_common_module/facebook/interstitial_facebook.dart';
import 'package:th_studio_common_module/facebook/native_facebook.dart';
import 'package:th_studio_common_module/facebook/reward_facebook.dart';
import 'package:th_studio_common_module/th_studio_ad_listener.dart';

class FacebookAdPage extends StatelessWidget {
  static PageRoute buildPageRoute() {
    return PageRouteBuilder(
      pageBuilder: (context, animation, secondaryAnimation) => FacebookAdPage(),
      transitionsBuilder: (context, animation, secondaryAnimation, child) {
        return child;
      },
    );
  }

  @override
  Widget build(BuildContext context) {
    return FacebookAdPageContent();
  }
}

class FacebookAdPageContent extends StatefulWidget {
  FacebookAdPageContent({Key key}) : super(key: key);

  @override
  _FacebookAdPageContentState createState() => _FacebookAdPageContentState();
}

class _FacebookAdPageContentState extends State<FacebookAdPageContent> {
  InterstitialFacebook interstitialAdMod = InterstitialFacebook();
  RewardFacebook rewardAd = RewardFacebook();
  NativeFacebook nativeAd = NativeFacebook();

  @override
  void initState() {
    super.initState();
    interstitialAdMod.loadAd(FB_BANNER);
    rewardAd.loadAd(FB_REWARD);
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Facebook SDK'),
      ),
      body: ListView(
        children: [
          _createButton('Interstitial ads', () => onClickInterstitial()),
          _createButton('Reward ads', () => onClickRewardAd()),
          _createButton(
              'Facebook Banner show case', () => onFacebookBannerListClick()),
          nativeAd.createNativeWidget(FB_NATIVE, 300, 300),
        ],
      ),
    );
  }

  Widget _createButton(String title, VoidCallback onClick) {
    return Padding(
        padding: const EdgeInsets.only(top: 8.0, left: 8.0, right: 8.0),
        child: SizedBox(
            width: double.infinity,
            child: ElevatedButton(onPressed: onClick, child: Text(title))));
  }

  onClickInterstitial() {
    interstitialAdMod.show(
        listener: THStudioAdListener(
            onAdClosed: () => navigateToOtherScreen(),
            onAdFailedToLoad: (error) => navigateToOtherScreen()));
  }

  void navigateToOtherScreen() async {
    Navigator.push(context, SecondPage.buildPageRoute());
  }

  onClickRewardAd() {
    rewardAd.show(
        listener: THStudioAdListener(
            onAdClosed: () => navigateToOtherScreen(),
            onAdFailedToLoad: (error) => navigateToOtherScreen()));
  }

  onFacebookBannerListClick() {
    Navigator.push(context, FacebookBannerShowCasePage.buildPageRoute());
  }
}
