import 'package:example_app/example_ads.dart';
import 'package:flutter/material.dart';
import 'package:google_mobile_ads/google_mobile_ads.dart';
import 'package:th_studio_common_module/admod/banner_admod.dart';

class GoogleBannerShowCasePage extends StatefulWidget {
  static PageRoute buildPageRoute() {
    return PageRouteBuilder(
      pageBuilder: (context, animation, secondaryAnimation) =>
          GoogleBannerShowCasePage(),
      transitionsBuilder: (context, animation, secondaryAnimation, child) {
        var begin = Offset(0.0, 1.0);
        var end = Offset.zero;
        var curve = Curves.ease;

        var tween =
            Tween(begin: begin, end: end).chain(CurveTween(curve: curve));

        return SlideTransition(
          position: animation.drive(tween),
          child: child,
        );
      },
    );
  }

  @override
  _GoogleBannerShowCasePageState createState() => _GoogleBannerShowCasePageState();
}

class _GoogleBannerShowCasePageState extends State<GoogleBannerShowCasePage> {
  final BannerAdMod banner = BannerAdMod();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Banner Show Case'),
      ),
      body: ListView(
        children: [
          banner.createBannerWidget(BANNER, bannerSize: AdSize.fullBanner),
          banner.createBannerWidget(BANNER, bannerSize: AdSize.largeBanner),
          banner.createBannerWidget(BANNER, bannerSize: AdSize.banner),
          banner.createBannerWidget(BANNER, bannerSize: AdSize.leaderboard),
          banner.createBannerWidget(BANNER, bannerSize: AdSize.mediumRectangle),
        ],
      ),
    );
  }
}
