import 'package:facebook_audience_network/ad/ad_interstitial.dart';
import 'package:th_studio_common_module/th_studio_ad_listener.dart';

class InterstitialFacebook {
  String _adId;
  bool _isInterstitialAdLoaded = false;
  THStudioAdListener _additionalListener;

  _listener(InterstitialAdResult result, value) {
    if (result == InterstitialAdResult.LOADED) {
      _isInterstitialAdLoaded = true;
      if (_additionalListener != null) {
        _additionalListener.onAdLoaded();
      }
    }
    if (result == InterstitialAdResult.DISMISSED &&
        value["invalidated"] == true) {
      _isInterstitialAdLoaded = false;
      if (_additionalListener != null) {
        _additionalListener.onAdClosed();
      }
      loadAd(_adId);
    }
    if (result == InterstitialAdResult.ERROR) {}
  }

  void loadAd(String id) {
    _adId = id;
    FacebookInterstitialAd.loadInterstitialAd(
        placementId: id, listener: _listener);
  }

  void show({THStudioAdListener listener}) {
    _additionalListener = listener;
    if (_isInterstitialAdLoaded == true)
      FacebookInterstitialAd.showInterstitialAd();
    else {
      if (_additionalListener != null) {
        _additionalListener.onAdFailedToLoad(-1);
      }
    }
  }
}
